import { id } from 'element-plus/es/locales.mjs'
import request from './request.js'

// 课程列表
export function getCourseList(data = {}) {
  return request.get('/course/list',data)
}
// 课程详情
export function getCourseDetail(data = {}) {
  return request.get('/course/'+data.id)
}
// 获取课程标签
//学习阶段  bus_study_stage
//教程分类  bus_course_category
//技能标签  bus_skill_tag
export function getDictType(data = {}) {
  return request.get('/system/dict/type')
}
// 查询章节列表
export function getChaptersList(data = {}) {
  return request.get('/chapter/chaptersList/'+data.id)
}
// 新增删除收藏记录（未被收藏新增，否则删除）
export function collect(data = {}) {
  return request.post('/collect',data)
}